#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kosd_behaviorlayout.ui'
**
** Created: Thu Jul 31 23:31:51 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kosd_behaviorlayout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a KOSD_BehaviorLayout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KOSD_BehaviorLayout::KOSD_BehaviorLayout( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KOSD_BehaviorLayout" );
    KOSD_BehaviorLayoutLayout = new QVBoxLayout( this, 11, 6, "KOSD_BehaviorLayoutLayout"); 

    tabWidget3 = new QTabWidget( this, "tabWidget3" );

    tab = new QWidget( tabWidget3, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    groupBox2 = new QGroupBox( tab, "groupBox2" );
    groupBox2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, groupBox2->sizePolicy().hasHeightForWidth() ) );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );
    spacer52 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer52 );

    m_buttonShortcuts = new KPushButton( groupBox2, "m_buttonShortcuts" );
    m_buttonShortcuts->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_buttonShortcuts->sizePolicy().hasHeightForWidth() ) );
    groupBox2Layout->addWidget( m_buttonShortcuts );
    spacer53 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer53 );
    tabLayout->addWidget( groupBox2 );

    groupBox3 = new QGroupBox( tab, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    textLabel3 = new QLabel( groupBox3, "textLabel3" );

    groupBox3Layout->addWidget( textLabel3, 0, 0 );
    spacer56 = new QSpacerItem( 312, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addMultiCell( spacer56, 0, 0, 1, 4 );

    m_spinboxTimeout = new QSpinBox( groupBox3, "m_spinboxTimeout" );
    m_spinboxTimeout->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, m_spinboxTimeout->sizePolicy().hasHeightForWidth() ) );
    m_spinboxTimeout->setMaxValue( 10000 );
    m_spinboxTimeout->setMinValue( 100 );
    m_spinboxTimeout->setLineStep( 100 );
    m_spinboxTimeout->setValue( 2500 );

    groupBox3Layout->addWidget( m_spinboxTimeout, 0, 5 );

    textLabel1_6 = new QLabel( groupBox3, "textLabel1_6" );

    groupBox3Layout->addMultiCellWidget( textLabel1_6, 1, 1, 0, 1 );
    spacer34 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox3Layout->addItem( spacer34, 1, 2 );

    m_radioPrimaryScreen = new QRadioButton( groupBox3, "m_radioPrimaryScreen" );
    m_radioPrimaryScreen->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_radioPrimaryScreen->sizePolicy().hasHeightForWidth() ) );
    m_radioPrimaryScreen->setChecked( TRUE );

    groupBox3Layout->addWidget( m_radioPrimaryScreen, 1, 3 );

    m_radioCursorScreen = new QRadioButton( groupBox3, "m_radioCursorScreen" );
    m_radioCursorScreen->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_radioCursorScreen->sizePolicy().hasHeightForWidth() ) );

    groupBox3Layout->addMultiCellWidget( m_radioCursorScreen, 1, 1, 4, 5 );
    tabLayout->addWidget( groupBox3 );
    spacer55 = new QSpacerItem( 20, 140, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer55 );
    tabWidget3->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget3, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    groupBox7 = new QGroupBox( tab_2, "groupBox7" );
    groupBox7->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, groupBox7->sizePolicy().hasHeightForWidth() ) );
    groupBox7->setColumnLayout(0, Qt::Vertical );
    groupBox7->layout()->setSpacing( 6 );
    groupBox7->layout()->setMargin( 11 );
    groupBox7Layout = new QGridLayout( groupBox7->layout() );
    groupBox7Layout->setAlignment( Qt::AlignTop );

    textLabel1_4 = new QLabel( groupBox7, "textLabel1_4" );
    textLabel1_4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, textLabel1_4->sizePolicy().hasHeightForWidth() ) );

    groupBox7Layout->addWidget( textLabel1_4, 0, 0 );

    m_reloadMixerDeviceList = new QPushButton( groupBox7, "m_reloadMixerDeviceList" );
    m_reloadMixerDeviceList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, m_reloadMixerDeviceList->sizePolicy().hasHeightForWidth() ) );
    m_reloadMixerDeviceList->setMinimumSize( QSize( 0, 0 ) );

    groupBox7Layout->addWidget( m_reloadMixerDeviceList, 0, 4 );
    spacer110 = new QSpacerItem( 100, 20, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum );
    groupBox7Layout->addItem( spacer110, 0, 1 );

    m_comboboxMixerDevices = new QComboBox( FALSE, groupBox7, "m_comboboxMixerDevices" );
    m_comboboxMixerDevices->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_comboboxMixerDevices->sizePolicy().hasHeightForWidth() ) );
    m_comboboxMixerDevices->setMinimumSize( QSize( 200, 0 ) );

    groupBox7Layout->addMultiCellWidget( m_comboboxMixerDevices, 0, 0, 2, 3 );
    spacer35 = new QSpacerItem( 100, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    groupBox7Layout->addItem( spacer35, 2, 1 );

    textLabel1_3 = new QLabel( groupBox7, "textLabel1_3" );

    groupBox7Layout->addWidget( textLabel1_3, 2, 0 );
    spacer152 = new QSpacerItem( 190, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox7Layout->addItem( spacer152, 2, 2 );

    textLabel1_5 = new QLabel( groupBox7, "textLabel1_5" );

    groupBox7Layout->addWidget( textLabel1_5, 1, 0 );
    spacer17 = new QSpacerItem( 90, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox7Layout->addItem( spacer17, 1, 1 );
    spacer18 = new QSpacerItem( 190, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox7Layout->addItem( spacer18, 1, 2 );

    m_spinboxVolumeStep = new QSpinBox( groupBox7, "m_spinboxVolumeStep" );
    m_spinboxVolumeStep->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_spinboxVolumeStep->sizePolicy().hasHeightForWidth() ) );
    m_spinboxVolumeStep->setMinimumSize( QSize( 60, 0 ) );
    m_spinboxVolumeStep->setMaxValue( 100 );
    m_spinboxVolumeStep->setMinValue( 1 );
    m_spinboxVolumeStep->setValue( 5 );

    groupBox7Layout->addMultiCellWidget( m_spinboxVolumeStep, 2, 2, 3, 4 );

    m_spinboxMixerChannel = new QSpinBox( groupBox7, "m_spinboxMixerChannel" );
    m_spinboxMixerChannel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_spinboxMixerChannel->sizePolicy().hasHeightForWidth() ) );
    m_spinboxMixerChannel->setMaxValue( 0 );

    groupBox7Layout->addMultiCellWidget( m_spinboxMixerChannel, 1, 1, 3, 4 );
    tabLayout_2->addWidget( groupBox7 );

    groupBox1 = new QGroupBox( tab_2, "groupBox1" );
    groupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );

    groupBox1Layout->addMultiCellWidget( textLabel1, 0, 0, 0, 1 );
    spacer50 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    groupBox1Layout->addItem( spacer50, 0, 2 );

    textLabel2 = new QLabel( groupBox1, "textLabel2" );

    groupBox1Layout->addWidget( textLabel2, 1, 0 );
    spacer51 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    groupBox1Layout->addMultiCell( spacer51, 1, 1, 1, 2 );

    m_selectActualBrightnessPath = new QPushButton( groupBox1, "m_selectActualBrightnessPath" );
    m_selectActualBrightnessPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, m_selectActualBrightnessPath->sizePolicy().hasHeightForWidth() ) );

    groupBox1Layout->addWidget( m_selectActualBrightnessPath, 0, 4 );

    m_selectMaxBrightnessPath = new QPushButton( groupBox1, "m_selectMaxBrightnessPath" );
    m_selectMaxBrightnessPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, m_selectMaxBrightnessPath->sizePolicy().hasHeightForWidth() ) );

    groupBox1Layout->addWidget( m_selectMaxBrightnessPath, 1, 4 );

    m_maxBrightnessPath = new QLineEdit( groupBox1, "m_maxBrightnessPath" );
    m_maxBrightnessPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_maxBrightnessPath->sizePolicy().hasHeightForWidth() ) );
    m_maxBrightnessPath->setMinimumSize( QSize( 200, 0 ) );

    groupBox1Layout->addWidget( m_maxBrightnessPath, 1, 3 );

    m_actualBrightnessPath = new QLineEdit( groupBox1, "m_actualBrightnessPath" );
    m_actualBrightnessPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_actualBrightnessPath->sizePolicy().hasHeightForWidth() ) );
    m_actualBrightnessPath->setMinimumSize( QSize( 200, 0 ) );

    groupBox1Layout->addWidget( m_actualBrightnessPath, 0, 3 );
    tabLayout_2->addWidget( groupBox1 );

    groupBox1_2 = new QGroupBox( tab_2, "groupBox1_2" );
    groupBox1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, groupBox1_2->sizePolicy().hasHeightForWidth() ) );
    groupBox1_2->setColumnLayout(0, Qt::Vertical );
    groupBox1_2->layout()->setSpacing( 6 );
    groupBox1_2->layout()->setMargin( 11 );
    groupBox1_2Layout = new QGridLayout( groupBox1_2->layout() );
    groupBox1_2Layout->setAlignment( Qt::AlignTop );

    textLabel1_2 = new QLabel( groupBox1_2, "textLabel1_2" );
    textLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1_2->sizePolicy().hasHeightForWidth() ) );

    groupBox1_2Layout->addWidget( textLabel1_2, 0, 0 );
    spacer50_2 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    groupBox1_2Layout->addItem( spacer50_2, 0, 1 );

    textLabel2_2 = new QLabel( groupBox1_2, "textLabel2_2" );
    textLabel2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel2_2->sizePolicy().hasHeightForWidth() ) );

    groupBox1_2Layout->addMultiCellWidget( textLabel2_2, 1, 1, 0, 1 );
    spacer51_2 = new QSpacerItem( 16, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    groupBox1_2Layout->addItem( spacer51_2, 1, 2 );

    m_selectChargeNowPath = new QPushButton( groupBox1_2, "m_selectChargeNowPath" );
    m_selectChargeNowPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, m_selectChargeNowPath->sizePolicy().hasHeightForWidth() ) );

    groupBox1_2Layout->addWidget( m_selectChargeNowPath, 0, 4 );

    m_selectChargeFullPath = new QPushButton( groupBox1_2, "m_selectChargeFullPath" );
    m_selectChargeFullPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, m_selectChargeFullPath->sizePolicy().hasHeightForWidth() ) );

    groupBox1_2Layout->addWidget( m_selectChargeFullPath, 1, 4 );

    m_chargeNowPath = new QLineEdit( groupBox1_2, "m_chargeNowPath" );
    m_chargeNowPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_chargeNowPath->sizePolicy().hasHeightForWidth() ) );
    m_chargeNowPath->setMinimumSize( QSize( 200, 0 ) );

    groupBox1_2Layout->addWidget( m_chargeNowPath, 0, 3 );

    m_chargeFullPath = new QLineEdit( groupBox1_2, "m_chargeFullPath" );
    m_chargeFullPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, m_chargeFullPath->sizePolicy().hasHeightForWidth() ) );
    m_chargeFullPath->setMinimumSize( QSize( 200, 0 ) );
    m_chargeFullPath->setLineWidth( 2 );

    groupBox1_2Layout->addWidget( m_chargeFullPath, 1, 3 );
    tabLayout_2->addWidget( groupBox1_2 );
    spacer36 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer36 );
    tabWidget3->insertTab( tab_2, QString::fromLatin1("") );
    KOSD_BehaviorLayoutLayout->addWidget( tabWidget3 );
    languageChange();
    resize( QSize(525, 376).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_buttonShortcuts, SIGNAL( clicked() ), this, SLOT( slotButtonShortcutsClicked() ) );
    connect( m_selectActualBrightnessPath, SIGNAL( clicked() ), this, SLOT( slotSelectActualBrightnessPath() ) );
    connect( m_selectMaxBrightnessPath, SIGNAL( clicked() ), this, SLOT( slotSelectMaxBrightnessPath() ) );
    connect( m_selectChargeNowPath, SIGNAL( clicked() ), this, SLOT( slotSelectChargeNowPath() ) );
    connect( m_selectChargeFullPath, SIGNAL( clicked() ), this, SLOT( slotSelectChargeFullPath() ) );
    connect( m_reloadMixerDeviceList, SIGNAL( clicked() ), this, SLOT( slotReloadMixerDeviceList() ) );
    connect( m_radioPrimaryScreen, SIGNAL( clicked() ), m_radioCursorScreen, SLOT( toggle() ) );
    connect( m_radioCursorScreen, SIGNAL( clicked() ), m_radioPrimaryScreen, SLOT( toggle() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KOSD_BehaviorLayout::~KOSD_BehaviorLayout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KOSD_BehaviorLayout::languageChange()
{
    setCaption( tr2i18n( "Behavior" ) );
    groupBox2->setTitle( tr2i18n( "Shortcuts" ) );
    m_buttonShortcuts->setText( tr2i18n( "&Configure shortcuts ..." ) );
    m_buttonShortcuts->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    groupBox3->setTitle( tr2i18n( "OSD" ) );
    textLabel3->setText( tr2i18n( "Timeout:" ) );
    m_spinboxTimeout->setSuffix( tr2i18n( " ms" ) );
    textLabel1_6->setText( tr2i18n( "Placement:" ) );
    m_radioPrimaryScreen->setText( tr2i18n( "Primar&y screen" ) );
    m_radioPrimaryScreen->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    m_radioCursorScreen->setText( tr2i18n( "Screen &under cursor" ) );
    m_radioCursorScreen->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    tabWidget3->changeTab( tab, tr2i18n( "&General" ) );
    groupBox7->setTitle( tr2i18n( "Mixer" ) );
    textLabel1_4->setText( tr2i18n( "Mixer device:" ) );
    m_reloadMixerDeviceList->setText( QString::null );
    QToolTip::add( m_reloadMixerDeviceList, tr2i18n( "Refresh" ) );
    textLabel1_3->setText( tr2i18n( "Volume step:" ) );
    textLabel1_5->setText( tr2i18n( "Mixer channel:" ) );
    m_spinboxVolumeStep->setSuffix( tr2i18n( " %" ) );
    QWhatsThis::add( m_spinboxMixerChannel, tr2i18n( "Select the mixer channel KOSD should use when changing the volume.\n"
"0 usually stands for the 'Master' channel and should be the correct choice for most users.\n"
"If you have problems changing the volume you can try and select a different channel here." ) );
    groupBox1->setTitle( tr2i18n( "Paths (brightness)" ) );
    textLabel1->setText( tr2i18n( "Path to \"actual_brightness\":" ) );
    textLabel2->setText( tr2i18n( "Path to \"max_brightness\":" ) );
    m_selectActualBrightnessPath->setText( QString::null );
    m_selectMaxBrightnessPath->setText( QString::null );
    groupBox1_2->setTitle( tr2i18n( "Paths (battery)" ) );
    textLabel1_2->setText( tr2i18n( "Path to \"charge_now\":" ) );
    textLabel2_2->setText( tr2i18n( "Path to \"charge_full_design\":" ) );
    m_selectChargeNowPath->setText( QString::null );
    m_selectChargeFullPath->setText( QString::null );
    tabWidget3->changeTab( tab_2, tr2i18n( "Ac&tions" ) );
}

void KOSD_BehaviorLayout::slotSelectActualBrightnessPath()
{
    qWarning( "KOSD_BehaviorLayout::slotSelectActualBrightnessPath(): Not implemented yet" );
}

void KOSD_BehaviorLayout::slotSelectMaxBrightnessPath()
{
    qWarning( "KOSD_BehaviorLayout::slotSelectMaxBrightnessPath(): Not implemented yet" );
}

void KOSD_BehaviorLayout::slotButtonShortcutsClicked()
{
    qWarning( "KOSD_BehaviorLayout::slotButtonShortcutsClicked(): Not implemented yet" );
}

void KOSD_BehaviorLayout::slotSelectChargeNowPath()
{
    qWarning( "KOSD_BehaviorLayout::slotSelectChargeNowPath(): Not implemented yet" );
}

void KOSD_BehaviorLayout::slotSelectChargeFullPath()
{
    qWarning( "KOSD_BehaviorLayout::slotSelectChargeFullPath(): Not implemented yet" );
}

void KOSD_BehaviorLayout::slotReloadMixerDeviceList()
{
    qWarning( "KOSD_BehaviorLayout::slotReloadMixerDeviceList(): Not implemented yet" );
}

#include "kosd_behaviorlayout.moc"
